REST APIWallet & TransactWallet

PUT

Pins or unpins a wallet and returns updated pinned wallets for the current user's enterprise.

Path Params

  • walletId string required

    at least 1 characters · matches ^[0-9a-f]{32}$

Body Params

object

  • isPinned boolean required

Responses

200
OK

Response Body

object

  • pinnedWallets object required
    pinnedWallets object
    • enterpriseId string required
    • userId string required
    • wallets array of strings required
400
Bad Request

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id
401
Unauthorized

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id